Bug 848786 - RFE: Environment Variable to Ignore Crashes
RFE: Environment Variable to Ignore Crashes
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
rawhide
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ABRTF18
  Show dependency treegraph
 
Reported: 2012-08-16 08:11 EDT by James Cape
Modified: 2012-12-20 10:44 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:44:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Cape 2012-08-16 08:11:10 EDT
Description of problem:

Ordinarily, a user will want to get a problem report when a packaged application crashes. However, if I'm a developer working on a loadable module for a packaged application (e.g. gedit, GTK, python, etc.), then I don't want ABRT to pick up those crashes, because it stuffs ABRT with a bunch of reports that will never go upstream (which makes ABRT less useful) and is kind of annoying (since it's a flurry of "XYZ crashed" notifications on the desktop)

So, I'd like to be able to tell ABRT to ignore a particular execution of an application, even if the crash is in a packaged app that I'd want to see crash reports on otherwise.

After discussions with jmoskovc on #fedora, I'd like to propose making these environment variables standard:

ABRT_IGNORE_ALL=1
ABRT_IGNORE_PYTHON=1
ABRT_IGNORE_CCPP=1

So, adding a events.d file which deletes events with those environment vars set:

---
# Ignore any crashes when the app was run w/ ABRT_IGNORE_ALL=1 in its
# environment
EVENT=post-create environ~="ABRT_IGNORE_ALL=1"
	rm .

# Ignore C/C++-based crashes with ABRT_IGNORE_CCPP
EVENT=post-create analyzer=CCpp environ~="ABRT_IGNORE_CCPP=1"
	rm .

# And ignore Python crashes with ABRT_IGNORE_PYTHON
EVENT=post-create analyzer=Python environ~="ABRT_IGNORE_PYTHON=1"
	rm .
---
Comment 1 Jiri Moskovcak 2012-09-18 06:59:06 EDT
I propose to add even:

ABRT_IGNORE=<some regexp>
Comment 2 James Cape 2012-09-18 09:22:17 EDT
Sounds good to me ( my guys will just do =.* :-) ).

Is that stuff accessible from inside the config file?
Comment 3 Denys Vlasenko 2012-10-05 07:57:44 EDT
Yes, it can be implemented in .config files, no need to change C code.

Fixed in git:

commit 86c6d0de1dde119115930fec72232aff628bc9f8
Author: Denys Vlasenko <vda.linux@googlemail.com>
Date:   Fri Oct 5 13:55:55 2012 +0200

    Make it possible for developer to disable crash processing for specific apps
Comment 4 Fedora Update System 2012-10-11 10:01:24 EDT
abrt-2.0.15-1.fc17,libreport-2.0.16-1.fc17,btparser-0.20-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.15-1.fc17,libreport-2.0.16-1.fc17,btparser-0.20-1.fc17
Comment 5 Fedora Update System 2012-10-11 22:55:08 EDT
Package abrt-2.0.15-1.fc17, libreport-2.0.16-1.fc17, btparser-0.20-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.15-1.fc17 libreport-2.0.16-1.fc17 btparser-0.20-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15968/abrt-2.0.15-1.fc17,libreport-2.0.16-1.fc17,btparser-0.20-1.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-10-17 20:33:29 EDT
Package abrt-2.0.16-1.fc17, libreport-2.0.16-1.fc17, btparser-0.20-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.16-1.fc17 libreport-2.0.16-1.fc17 btparser-0.20-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15968/abrt-2.0.16-1.fc17,libreport-2.0.16-1.fc17,btparser-0.20-1.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-12-20 10:44:49 EST
abrt-2.0.16-1.fc17, libreport-2.0.16-1.fc17, btparser-0.20-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.